%define upstream_name  	 Catalyst-Model-DBIC-Schema
%define upstream_version 0.60

%define _requires_exceptions perl(Catalyst::Model::DBIC::Schema::Types)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    DBIx::Class::Schema Model Class 
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp::Clan)
BuildRequires: perl(Catalyst::Component::InstancePerContext)
BuildRequires: perl(Catalyst::Devel) >= 1.0.0
BuildRequires: perl(Catalyst::Runtime) >= 5.800.50
BuildRequires: perl(CatalystX::Component::Traits) >= 0.140.0
BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(DBIx::Class) >= 0.81.140
BuildRequires: perl(DBIx::Class::Cursor::Cached)
BuildRequires: perl(DBIx::Class::Schema::Loader) >= 0.40.50
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Hash::Merge)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Moose) >= 1.120.0
BuildRequires: perl(MooseX::MarkAsMethods) >= 0.130.0
BuildRequires: perl(MooseX::NonMoose) >= 0.160.0
BuildRequires: perl(MooseX::Types)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Tie::IxHash)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(namespace::autoclean) >= 0.90.0
BuildRequires: perl(namespace::clean)
BuildArch:  noarch

Requires:   perl(CatalystX::Component::Traits)
%description
This is a Catalyst Model for DBIx::Class::Schema-based Models. See the
documentation for Catalyst::Helper::Model::DBIC::Schema for information on
generating these Models via Helper scripts.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor --skipdeps
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{perl_vendorlib}/Catalyst
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.600.0-2.mga3
+ Revision: 363918
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 18 2012 kharec <kharec> 0.600.0-1.mga3
+ Revision: 261493
- update to 0.60

* Wed Nov 09 2011 jquelin <jquelin> 0.590.0-1.mga2
+ Revision: 165747
- do not ship MYMETA
- update to 0.59

* Thu Nov 03 2011 jquelin <jquelin> 0.580.0-1.mga2
+ Revision: 162184
- update to 0.58

* Mon Sep 26 2011 jquelin <jquelin> 0.550.0-1.mga2
+ Revision: 148019
- update to 0.55
- update to 0.54

  + kharec <kharec>
    - update to 0.51

* Wed Jun 15 2011 jquelin <jquelin> 0.500.0-1.mga2
+ Revision: 106513
- update to 0.50

* Thu Jan 27 2011 jquelin <jquelin> 0.480.0-2.mga1
+ Revision: 41914
- rebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.480.0-1.mga1
+ Revision: 41239
- mageia rebuild
- imported package perl-Catalyst-Model-DBIC-Schema

